package org.dive4elements.river.client.client.services;

import java.util.Map;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import org.dive4elements.river.client.shared.exceptions.ServerException;

/**
 * This interface describes the service to get wms urls for UESK and new maps.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
@RemoteServiceRelativePath("map-urls")
public interface MapUrlService extends RemoteService {

    Map<String, String> getUrls() throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
